### Function

# Camel text_to_html

#### Declaration [src]

    gchar*
    camel_text_to_html (
      const gchar* in,
      CamelMimeFilterToHTMLFlags flags,
      guint32 color
    )

#### Description [src]

Convert `in` from plain text into HTML.

#### Parameters

`in`

  Type: `const gchar*`

  Input text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `CamelMimeFilterToHTMLFlags`

  Bitwise flags defining the html conversion behaviour.

`color`

  Type: `guint32`

  Color to use when syntax highlighting.

#### Return value

Type: `gchar*`

A newly allocated string containing the HTMLified version of `in`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.